Subject: bug#11203: gawk, automake 1.11.4 and tcc

From: Stefano Lattarini <[email-masked]>
Date: Mon, 09 Apr 2012 10:54:03 +0200

tags 11203 + moreinfo
thanks

On 04/08/2012 02:38 PM, Aharon Robbins wrote:
> Hello all.
Hi Aharon, thanks for the report.

> When I try to use tcc to compile gawk, I have problems after the initial
> run of make.  I have just moved the gawk-4.0-stable branch of gawk
> to using automake 1.11.4.  I then run things like this:
> 
> 	CC=tcc ./configure && make
>
A not on style: you should use always override variables for ./configure
on the command line, not from the environment; see:

 <http://www.gnu.org/software/autoconf/manual/autoconf.html#Defining-Variables>

> This goes fine.  However, any subsequent makes fail. For example:
> 
> $ rm main.o ; make
> make 'CFLAGS=-g -DARRAYDEBUG -DYYDEBUG' 'LDFLAGS=' all-recursive
> make[1]: Entering directory `/d/home/arnold/Gnu/gawk/gawk.git'
> Making all in .
> make[2]: Entering directory `/d/home/arnold/Gnu/gawk/gawk.git'
> main.c \ :
> /bin/bash: ./main.c: Permission denied
> make[2]: *** [main.o] Error 126
> make[2]: Leaving directory `/d/home/arnold/Gnu/gawk/gawk.git'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/d/home/arnold/Gnu/gawk/gawk.git'
> make: *** [all] Error 2
> 
> Would someone kindly investigate?
>
I cannot reproduce this error with the gawk 'master' branch and tcc
"0.9.26~git20120104.83d" (as installed from debian packages).  Which
version of tcc are you using exactly?

Regards,
  Stefano